Subject: DLSw Connectathon Test Plan (fwd)

From: Ivan Oakley <[email-masked]>
Date: Tue, 6 Jun 95 12:10:23 PDT

First, a thank you to Scott for taking the time to put the DLSw Connectathon
 Test Plan together.
 
 I'd like to take a stab at resolving the RFC 1795/RFC 1434 interoperability
 testing issue that has been discussed in recent mail from Bill Der,
 Dave Lowry, Scott Barvick and Mike Redden.
 
 Scott has included this testing as item #8 on the recently distributed
 DLSw Connectathon Test Plan as there has been some mail requesting that
 these tests be performed (Please refer to earlier mail from Bill
 requesting that RFC 1795/RFC 1434 interoperability testing not be excluded
 from the DLSw Connectathon).  Dave has voiced an objection to the inclusion
 of this test as a specific item on the DLSw Connectathon Test Plan on the
 grounds that such testing has no direct relevance to the new RFC 1795
 standard.  Bill has recently voiced support for Scott's inclusion of the
 RFC 1795/RFC 1434 interoperability testing, while suggesting that it should
 be optional for the participants.  Mike has also expressed an interest in
 ensuring that RFC 1795/RFC 1434 interoperability testing be included as a
 DLSw Connectathon option.
 
 Let me summarize what I perceive to be the issue here and suggest how we
 might go about resolving this matter.  Just to give some historical context,
 I think it is important to mention that during the last DLSw Connect RIG
 this issue was raised explicitly during our discussions of what tests ought
 to be included in the DLSw Connectathon.  At that time a show of hands was
 taken and the majority of attendees expressed no interest in performing
 RFC 17494/RFC 1434 interoperability testing.  This was the reason for
 explicity excluding this testing from the DLSw Connectathon agenda in the
 recent AIW DLSw Connect RIG summary.
 
 If there is now a groundspring of support for performing this type of
 testing, then the question is whether it should be formally included in
 the DLSw Connectathon Test Plan.  My own feeling is that there was a
 recognition during the RIG discussions related to the DLSw Connectathon,
 that some flexibility should be provided so as to allow vendors to test
 specific features of significant interest to them.  These types of tests
 would fall into the optional category suggested by Bill.  I'd like to
 request that everyone revisit Scott's DLSw Connectathon Test Plan and
 decide whether they feel that RFC 1795/RFC 1434 interoperability testing
 should be an integral part of the DLSw Connectathon, or whether it should
 be an optional activity that is unrelated to the RFC 1795 standard and
 therefore should not be included as a check off item in the Test Plan.
 
 Please post your votes here:
 
 [YES - to continue to list RFC 1795/RFC 1434
 interoperability as item #8 in the Test Plan]
 
 or
 
 [NO - to remove RFC 1795/RFC 1434 interoperability testing as item #8 in
 the Test Plan but to permit this (and other testing activities) to be
 optional for interested vendors].
 
 If there are other outstanding issues relative to Scott's Test Plan, please
 raise them now so we can address them as soon as possible.  Thank you.
 
 Ivan